<?php

namespace Drupal\Tests\trash\Kernel;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\trash_test\Entity\TrashTest;

/**
 * @group trash
 */
class TrashKernelTest extends TrashKernelTestBase {

  public function testDeletion() {
    $entity = TrashTest::create([
    ]);
    assert($entity instanceof ContentEntityInterface);
    $entity->save();

    $this->assertNotNull(TrashTest::load($entity->id()));
    $this->assertEquals(0, $entity->get('deleted')->value);
    $entity->delete();

    $entity = TrashTest::load($entity->id());
    assert($entity instanceof ContentEntityInterface);

    $this->assertNotNull($entity, "Ensure that deleting an entity doesn't actually deletes it.");
    $this->assertEquals(\Drupal::time()->getRequestTime(), $entity->get('deleted')->value);
  }

}
